#include "report_addr_obj_is_addr.h"
#include "revision_adapter.h"

namespace maps::wiki::schedule_feedback {

ObjectIsAddressChecker::ObjectIsAddressChecker(
    std::unique_ptr<IRevisionAdapter> revision):
        revision_(std::move(revision))
{}

bool ObjectIsAddressChecker::isAddressObject(ObjId objectId) const
{
    return revision_->isAddressObject(objectId);
}

} // namespace maps::wiki::schedule_feedback
